Package org.eclipse.birt.report.engine.api

# Interface IRenderOption

All Superinterfaces:
  `ITaskOption`

All Known Subinterfaces:
  `IExcelRenderOption`, `IHTMLRenderOption`, `IPDFRenderOption`, `IPostscriptRenderOption`, `IPPTRenderOption`

All Known Implementing Classes:
  `DocxRenderOption`, `EXCELRenderOption`, `HTMLEmitterConfig`, `HTMLRenderOption`, `PDFRenderOption`, `RenderOption`, `RenderOptionBase`

public interface IRenderOption extends ITaskOption
Defines render options for emitters

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_HANDLER`
Property of action handler
`static final String`
`APP_BASE_URL`
APP_BASE_URL is the same as BASE_URL
`static final String`
`BASE_URL`
Property of base URL
`static final String`
`CHART_DPI`
The DPI which chart engine uses to generate charts
`static final String`
`CLOSE_OUTPUTSTREAM_ON_EXIT`
Should the output stream be closed when render task exits.The value is a Boolean object, default is `Boolean.FALSE`
`static final String`
`EMITTER_ID`
Property of emitter id
`static final String`
`HTML_PAGINATION`
Should the report contains paginations The value is a Boolean object, default is `Boolean.FALSE`.
`static final String`
`IMAGE_HANDLER`
Property of image handler
`static final String`
`LOCALE`
Property for local
`static final String`
`OUTPUT_DISPLAY_NONE`
Property to set output display to none
`static final String`
`OUTPUT_EMITTERID_HTML`
Property of emitter id HTML
`static final String`
`OUTPUT_EMITTERID_PDF`
Property of emitter id PDF
`static final String`
`OUTPUT_FILE_NAME`
Property of output file
`static final String`
`OUTPUT_FORMAT`
Property of format
`static final String`
`OUTPUT_FORMAT_FO`
Property of output format FO
`static final String`
`OUTPUT_FORMAT_HTML`
Property of output format HTML
`static final String`
`OUTPUT_FORMAT_PDF`
Property of output format PDF
`static final String`
`OUTPUT_STREAM`
Property of output stream
`static final String`
`RENDER_DPI`
The DPI which layout engine uses to convert pixel to an abstract length
`static final String`
`REPORTLET_SIZE`
Property for report size
`static final String`
`RTL_FLAG`
bidi_hcg: Should we output report as RTL.
`static final String`
`SUPPORTED_IMAGE_FORMATS`
Supported image formats

## Method Summary

Modifier and Type
Method
Description
`IHTMLActionHandler`
`getActionHandle()`
Deprecated.
`IHTMLActionHandler`
`getActionHandler()`
Get the action handler
`String`
`getAppBaseURL()`
Returns the app base url for URL images
`String`
`getBaseURL()`
Returns the base URL for creating an Action URL
`String`
`getEmitterID()`
returns the emitter id
`IHTMLImageHandler`
`getImageHandle()`
Deprecated.
`IHTMLImageHandler`
`getImageHandler()`
Get the image handler
`String`
`getOutputFileName()`
Get name of the output file.
`String`
`getOutputFormat()`
Get output format.
`Map<String,Object>`
`getOutputSetting()`
Deprecated.
use getOptions instead
`OutputStream`
`getOutputStream()`
Get output stream.
`String`
`getSupportedImageFormats()`
`void`
`setActionHandle(IHTMLActionHandler handler)`
Deprecated.
`void`
`setActionHandler(IHTMLActionHandler handler)`
Set the action handler
`void`
`setAppBaseURL(String appBaseURL)`
Set app base url
`void`
`setBaseURL(String baseURL)`
sets the base url for action handling
`void`
`setEmitterID(String emitterID)`
sets the emitter id
`void`
`setImageHandle(IHTMLImageHandler handler)`
Deprecated.
`void`
`setImageHandler(IHTMLImageHandler handler)`
Set the image handler
`void`
`setOutputFileName(String outputFileName)`
Set name of the output file.
`void`
`setOutputFormat(String format)`
Set output format.
`void`
`setOutputStream(OutputStream ostream)`
Set output stream.
`void`
`setSupportedImageFormats(String formats)`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Field Details

### OUTPUT_FORMAT

static final String OUTPUT_FORMAT
Property of format

See Also:
  - Constant Field Values

### OUTPUT_FORMAT_HTML

static final String OUTPUT_FORMAT_HTML
Property of output format HTML

See Also:
  - Constant Field Values

### OUTPUT_FORMAT_PDF

static final String OUTPUT_FORMAT_PDF
Property of output format PDF

See Also:
  - Constant Field Values

### OUTPUT_FORMAT_FO

static final String OUTPUT_FORMAT_FO
Property of output format FO

See Also:
  - Constant Field Values

### OUTPUT_EMITTERID_HTML

static final String OUTPUT_EMITTERID_HTML
Property of emitter id HTML

See Also:
  - Constant Field Values

### OUTPUT_EMITTERID_PDF

static final String OUTPUT_EMITTERID_PDF
Property of emitter id PDF

See Also:
  - Constant Field Values

### EMITTER_ID

static final String EMITTER_ID
Property of emitter id

See Also:
  - Constant Field Values

### OUTPUT_FILE_NAME

static final String OUTPUT_FILE_NAME
Property of output file

See Also:
  - Constant Field Values

### OUTPUT_STREAM

static final String OUTPUT_STREAM
Property of output stream

See Also:
  - Constant Field Values

### IMAGE_HANDLER

static final String IMAGE_HANDLER
Property of image handler

See Also:
  - Constant Field Values

### ACTION_HANDLER

static final String ACTION_HANDLER
Property of action handler

See Also:
  - Constant Field Values

### LOCALE

static final String LOCALE
Property for local

See Also:
  - Constant Field Values

### RENDER_DPI

static final String RENDER_DPI
The DPI which layout engine uses to convert pixel to an abstract length

See Also:
  - Constant Field Values

### CHART_DPI

static final String CHART_DPI
The DPI which chart engine uses to generate charts

See Also:
  - Constant Field Values

### SUPPORTED_IMAGE_FORMATS

static final String SUPPORTED_IMAGE_FORMATS
Supported image formats

See Also:
  - Constant Field Values

### BASE_URL

static final String BASE_URL
Property of base URL

See Also:
  - Constant Field Values

### RTL_FLAG

static final String RTL_FLAG
bidi_hcg: Should we output report as RTL. The value is a Boolean Object, the default is `Boolean.FALSE`.

See Also:
  - Constant Field Values

### APP_BASE_URL

static final String APP_BASE_URL
APP_BASE_URL is the same as BASE_URL

See Also:
  - Constant Field Values

### OUTPUT_DISPLAY_NONE

static final String OUTPUT_DISPLAY_NONE
Property to set output display to none

See Also:
  - Constant Field Values

### HTML_PAGINATION

static final String HTML_PAGINATION
Should the report contains paginations The value is a Boolean object, default is `Boolean.FALSE`.

See Also:
  - Constant Field Values

### CLOSE_OUTPUTSTREAM_ON_EXIT

static final String CLOSE_OUTPUTSTREAM_ON_EXIT
Should the output stream be closed when render task exits.The value is a Boolean object, default is `Boolean.FALSE`

See Also:
  - Constant Field Values

### REPORTLET_SIZE

static final String REPORTLET_SIZE
Property for report size

See Also:
  - Constant Field Values

## Method Details

### getOutputSetting

@Deprecated Map<String,Object> getOutputSetting()
Deprecated.
use getOptions instead
Get the output settings

Returns:
  Return the output settings

### setOutputFormat

void setOutputFormat(String format)
Set output format.

Parameters:
  `format` -

### getOutputFormat

String getOutputFormat()
Get output format.

Returns:
  Return the output format

### setOutputFileName

void setOutputFileName(String outputFileName)
Set name of the output file.

Parameters:
  `outputFileName` - name of the output file

### getOutputFileName

String getOutputFileName()
Get name of the output file.

Returns:
  name

### setOutputStream

void setOutputStream(OutputStream ostream)
Set output stream.

Parameters:
  `ostream` -

### getOutputStream

OutputStream getOutputStream()
Get output stream.

Returns:
  output stream

### setSupportedImageFormats

void setSupportedImageFormats(String formats)

Parameters:
  `formats` - - the image format supported by the browser

### getSupportedImageFormats

String getSupportedImageFormats()

Returns:
  the image format supported by the browser

### getBaseURL

String getBaseURL()
Returns the base URL for creating an Action URL

Returns:
  the baseURL.

### setBaseURL

void setBaseURL(String baseURL)
sets the base url for action handling

Parameters:
  `baseURL` - sets the base URL used for action handling

### getAppBaseURL

String getAppBaseURL()
Returns the app base url for URL images

Returns:
  appBaseUrl

### setAppBaseURL

void setAppBaseURL(String appBaseURL)
Set app base url

Parameters:
  `appBaseURL` - the app base url

### setActionHandle

@Deprecated void setActionHandle(IHTMLActionHandler handler)
Deprecated.
Set the action handler

Parameters:
  `handler` -

### setActionHandler

void setActionHandler(IHTMLActionHandler handler)
Set the action handler

Parameters:
  `handler` -

### getActionHandle

@Deprecated IHTMLActionHandler getActionHandle()
Deprecated.
Get the action handler

Returns:
  Return the action handler

### getActionHandler

IHTMLActionHandler getActionHandler()
Get the action handler

Returns:
  Return the action handler

### setImageHandle

@Deprecated void setImageHandle(IHTMLImageHandler handler)
Deprecated.
Set the image handler

Parameters:
  `handler` -

### setImageHandler

void setImageHandler(IHTMLImageHandler handler)
Set the image handler

Parameters:
  `handler` -

### getImageHandle

@Deprecated IHTMLImageHandler getImageHandle()
Deprecated.
Get the image handler

Returns:
  Return the image handler

### getImageHandler

IHTMLImageHandler getImageHandler()
Get the image handler

Returns:
  Return the image handler

### getEmitterID

String getEmitterID()
returns the emitter id

Returns:
  Returns the emitter id

### setEmitterID

void setEmitterID(String emitterID)
sets the emitter id

Parameters:
  `emitterID` -